Eclipse Remote Application Platform

## org.eclipse.swt.layout
Class FillLayout

    java.lang.Object
      org.eclipse.swt.widgets.Layout
          org.eclipse.swt.layout.FillLayout

    public final class FillLayout

extends Layout

`FillLayout` is the simplest layout class. It lays out controls in a single row or column, forcing them to be the same size.

Initially, the controls will all be as tall as the tallest control, and as wide as the widest. `FillLayout` does not wrap, but you can specify margins and spacing. You might use it to lay out buttons in a task bar or tool bar, or to stack checkboxes in a `Group`. `FillLayout` can also be used when a `Composite` only has one child. For example, if a `Shell` has a single `Group` child, `FillLayout` will cause the `Group` to completely fill the `Shell` (if margins are 0).

Example code: first a `FillLayout` is created and its type field is set, and then the layout is set into the `Composite`. Note that in a `FillLayout`, children are always the same size, and they fill all available space.

        FillLayout fillLayout = new FillLayout();
        fillLayout.type = SWT.VERTICAL;
        shell.setLayout(fillLayout);

Since:
  1.0
See Also:
  SWT Example: LayoutExample, Sample code and further information

Field Summary
`int` `marginHeight` marginHeight specifies the number of pixels of vertical margin that will be placed along the top and bottom edges of the layout.
`int` `marginWidth` marginWidth specifies the number of pixels of horizontal margin that will be placed along the left and right edges of the layout.
`int` `spacing` spacing specifies the number of pixels between the edge of one cell and the edge of its neighbouring cell.
`int` `type` type specifies how controls will be positioned within the layout.

Constructor Summary
`FillLayout()` Constructs a new instance of this class.
`FillLayout(int type)` Constructs a new instance of this class given the type.

Method Summary
`protected Point` `computeSize(Composite composite, int wHint, int hHint, boolean flushCache)` Computes and returns the size of the specified composite's client area according to this layout.
`protected boolean` `flushCache(Control control)` Instruct the layout to flush any cached values associated with the control specified in the argument `control`.
`protected void` `layout(Composite composite, boolean flushCache)` Lays out the children of the specified composite according to this layout.
`java.lang.String` `toString()` Returns a string containing a concise, human-readable description of the receiver.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### type

    public int type

  type specifies how controls will be positioned within the layout. The default value is HORIZONTAL. Possible values are:
  - HORIZONTAL: Position the controls horizontally from left to right
  - VERTICAL: Position the controls vertically from top to bottom

### marginWidth

    public int marginWidth

  marginWidth specifies the number of pixels of horizontal margin that will be placed along the left and right edges of the layout. The default value is 0.

### marginHeight

    public int marginHeight

  marginHeight specifies the number of pixels of vertical margin that will be placed along the top and bottom edges of the layout. The default value is 0.

### spacing

    public int spacing

  spacing specifies the number of pixels between the edge of one cell and the edge of its neighbouring cell. The default value is 0.

Constructor Detail

### FillLayout

    public FillLayout()

  Constructs a new instance of this class.

### FillLayout

    public FillLayout(int type)

  Constructs a new instance of this class given the type.

  Parameters:
    `type` - the type of fill layout

Method Detail

### computeSize

    protected Point computeSize(Composite composite,
                                int wHint,
                                int hHint,
                                boolean flushCache)

  Description copied from class: `Layout`
  Computes and returns the size of the specified composite's client area according to this layout.

  This method computes the size that the client area of the composite must be in order to position all children at their preferred size inside the composite according to the layout algorithm encoded by this layout.

  When a width or height hint is supplied, it is used to constrain the result. For example, if a width hint is provided that is less than the width of the client area, the layout may choose to wrap and increase height, clip, overlap, or otherwise constrain the children.

  Specified by:
    `computeSize` in class `Layout`
  Parameters:
    `composite` - a composite widget using this layout
    `wHint` - width (`SWT.DEFAULT` for preferred size)
    `hHint` - height (`SWT.DEFAULT` for preferred size)
    `flushCache` - `true` means flush cached layout values
  Returns:
    a point containing the computed size (width, height)
  See Also:
    `Layout.layout(org.eclipse.swt.widgets.Composite, boolean)`, `Control.getBorderWidth()`, `Control.getBounds()`, `Control.getSize()`, `Control.pack(boolean)`, "computeTrim, getClientArea for controls that implement them"

### flushCache

    protected boolean flushCache(Control control)

  Description copied from class: `Layout`
  Instruct the layout to flush any cached values associated with the control specified in the argument `control`.

  Overrides:
    `flushCache` in class `Layout`
  Parameters:
    `control` - a control managed by this layout
  Returns:
    true if the Layout has flushed all cached information associated with control

### layout

    protected void layout(Composite composite,
                          boolean flushCache)

  Description copied from class: `Layout`
  Lays out the children of the specified composite according to this layout.

  This method positions and sizes the children of a composite using the layout algorithm encoded by this layout. Children of the composite are positioned in the client area of the composite. The position of the composite is not altered by this method.

  When the flush cache hint is true, the layout is instructed to flush any cached values associated with the children. Typically, a layout will cache the preferred sizes of the children to avoid the expense of computing these values each time the widget is laid out.

  When layout is triggered explicitly by the programmer the flush cache hint is true. When layout is triggered by a resize, either caused by the programmer or by the user, the hint is false.

  Specified by:
    `layout` in class `Layout`
  Parameters:
    `composite` - a composite widget using this layout
    `flushCache` - `true` means flush cached layout values

### toString

    public java.lang.String toString()

  Returns a string containing a concise, human-readable description of the receiver.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representation of the layout

Eclipse Remote Application Platform

Copyright (c) EclipseSource and others 2002, 2014. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0